Bug 844032 - Changing display power management settings does nothing
Changing display power management settings does nothing
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-27 22:30 EDT by James
Modified: 2013-08-01 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 12:57:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James 2012-07-27 22:30:25 EDT
It seems I currently do not have a means to force the display on at all times. My system is a laptop in a docking station with an external monitor on the DVI(HDMI1 according to Display Settings) port. The laptop monitor is disabled.

I used the 'Power Manager' applet under Applications Menu -> Settings. On the 'On AC' tab I selected monitor then dragged both sliders to 'Never'(extreme left). After less than 25 minutes of inactivity, the external monitor was switched off anyway.

Other power management features appear to work correctly. If I select the Actions tab and change the 'When laptop lid is closed' setting, Linux correctly does the specified action when I close the lid.
Comment 1 Christoph Wickert 2012-07-28 05:15:58 EDT
There is more power management than just xfce4-power-manager. Did you disable blanking both in xscreensaver and the xserver itself (e. g. with 'xset dpms off')?
Comment 2 James 2012-07-29 17:39:28 EDT
I don't have xscreensaver installed. Initially I just used the GUI but based on your message I tried 'xset -dpms' and the monitor still turned off. According to xset, 'xset dpms off' isn't a valid command.
Comment 3 Christoph Wickert 2012-09-28 16:25:45 EDT
Does the screen also go blank when xfce4-power-manager is not running?
Comment 4 James 2012-10-24 17:56:42 EDT
Nope. I just killed it and nothing happened.
Comment 5 Fedora End Of Life 2013-07-04 01:44:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 12:57:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.